!! Multiplikation zweidimensionaler Matrizen
!! beliebiger Groesse
!! (c) 6/97 sdteffen

program MatrizenMultiplikation
  use Matrizen
  implicit none
                                   
  !! Die Matrizen
  real, pointer, dimension(:,:) :: rA, rB, rC
  
  !! Eingabe der zu multiplizierenden Matrizen
  write(*,*)'Matrizenmultiplikation A * B = C'
  write(*,*)'Eingabe von A'
  call readMatrix(rA)
  call writeMatrix(rA)
  write(*,*)'Eingabe  von B'
  call readMatrix(rB)
  call writeMatrix(rB)            

  !! Matrizen multiplizieren
  call multiplikation(rA, rB, rC)
  
  !! Ergebnis ausgeben
  write(*,*)'Matrix C = A * B'
  call writeMatrix(rC)

  stop 'Vorsprung durch Technik'
end program MatrizenMultiplikation